org.mariadb.jdbc.internal.common.packet

## Class EOFPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.common.packet.ResultPacket
  - - org.mariadb.jdbc.internal.common.packet.EOFPacket

    public class EOFPacket
    extends ResultPacket

### Nested Class Summary

### Nested classes/interfaces inherited from class org.mariadb.jdbc.internal.common.packet.ResultPacket

`ResultPacket.ResultType`

### Constructor Summary

Constructors
Constructor and Description
`EOFPacket(RawPacket rawPacket)`

### Method Summary

Methods
`byte` `getPacketSeq()`
`ResultPacket.ResultType` `getResultType()`
`short` `getStatusFlags()`
`short` `getWarningCount()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EOFPacket

    public EOFPacket(RawPacket rawPacket)
              throws IOException

Throws:
  `IOException`

### Method Detail

#### getResultType

    public ResultPacket.ResultType getResultType()

Specified by:
  `getResultType` in class `ResultPacket`

#### getPacketSeq

    public byte getPacketSeq()

Specified by:
  `getPacketSeq` in class `ResultPacket`

#### getWarningCount

    public short getWarningCount()

#### getStatusFlags

    public short getStatusFlags()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`